need help with this error im getting as soon as possible.

so i've just run into this error and its really bugging me to bits can any one help me out

Arduino: 1.8.5 (Windows Store 1.8.10.0) (Windows 10), Board: "Arduino/Genuino Uno"

libraries\WaveHC\SdReader.cpp.o (symbol from plugin): In function `__vector_9':

(.text+0x0): multiple definition of `__vector_9'

sketch\adavoice_face.ino.cpp.o (symbol from plugin):(.text+0x0): first defined here

collect2.exe: error: ld returned 1 exit status

exit status 1
Error compiling for board Arduino/Genuino Uno.

This report would have more information with
"Show verbose output during compilation"
option enabled in File -> Preferences.

The problem is most likely that two parts of your code (e.g. libraries) are attempting to use the same interrupt vector.

Please post your full sketch. If possible you should always post code directly in the forum thread as text using code tags (</> button on the toolbar). This will make it easy for anyone to look at it, which will increase the likelihood of you getting help. If the sketch is longer than the forum will allow then it’s ok to add it as an attachment.

Please always do a Tools > Auto Format on your code before posting it. This will make it easier for you to spot bugs and make it easier for us to read. If you’re using the Arduino Web Editor then you will not have access to this useful tool. I recommend using the standard Arduino IDE instead.

When your code requires a library that’s not included with the Arduino IDE please always post a link(using the chain links icon on the toolbar to make it clickable) to where you downloaded that library from or if you installed it using Library Manger(Sketch > Include Library > Manage Libraries) then say so and state the full name of the library.

Looks like you're attempting to use two libraries, both of which require the same on-chip peripheral, but only one of them can have it.

What's odd is, the version of WaveHC that google shows me doesn't use vector 9, it uses 12 and 13...

Are you using a modified version of the library? If so, it's incompatible with that sketch.

i've fixed it. it was a outdated modified version of WaveHC that was the issue